Security
HTTPBearer
Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.
Any of:
string
Enum:"SOLE_PROPRIETOR""CORPORATE""LLC""PARTNERSHIP""INCORPORATED_ASSOCIATION""UNINCORPORATED_ASSOCIATION""REGULATED_FINANCIAL_INSTITUTION""NON_BANK_FINANCIAL_INSTITUTION""NON_PROFIT""SPECIAL_PURPOSE_ACQUISITION_COMPANY"
- Sandbox serverhttps://your-partner-name.sandbox-api.jikoservices.com/api/v1/business-applications/{application_id}/
- Production serverhttps://your-partner-name.partner-api.jikoservices.com/api/v1/business-applications/{application_id}/
curl -i -X PATCH \
'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/business-applications/{application_id}/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'x-jiko-signature: string' \
-d '{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"entity_type": "SOLE_PROPRIETOR",
"doing_business_as": "string",
"identification_number": {
"identification_number": "string",
"issuing_country": "string",
"type": "TIN"
},
"address": {
"street_address": "string",
"street_address2": "string",
"city": "string",
"postal_code": "string",
"state": "string",
"country": "string"
},
"website": "string",
"contact": {
"name": {
"first_name": "string",
"middle_name": "string",
"last_name": "string"
},
"phone_number": "string",
"email": "user@example.com"
},
"formation_date": "string",
"risk_info": {
"risk_categories": [
"INTERNET_GAMBLING"
],
"company_mission": "string",
"has_current_enforcement_actions": true,
"primary_regulator": "string",
"business_activity_location": "PRIMARILY_US",
"source_of_funds": "INTERNAL_FUNDS",
"source_of_funds_explanation": "string",
"account_usage": "MONEY_STORAGE",
"annual_revenue": "PRE_REVENUE",
"monthly_transactions": "5_OR_LESS",
"first_month_deposit": "1M_OR_LESS",
"is_finra_registered_broker_dealer": true
},
"industry": {
"industry": "ACCOUNTING_AND_BOOKKEEPING",
"other_industry": "string"
},
"agreement_consent": {
"version": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
}'Successful Response
Any of:
string
Enum:"SOLE_PROPRIETOR""CORPORATE""LLC""PARTNERSHIP""INCORPORATED_ASSOCIATION""UNINCORPORATED_ASSOCIATION""REGULATED_FINANCIAL_INSTITUTION""NON_BANK_FINANCIAL_INSTITUTION""NON_PROFIT""SPECIAL_PURPOSE_ACQUISITION_COMPANY"
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "time_created": "2023-01-01T12:00:00Z", "updated_at": "2023-01-01T12:00:00Z", "status": "SUBMITTED", "exception_reasons": [], "name": "Jiko Group, Inc.", "entity_type": "CORPORATE", "doing_business_as": "Jiko", "identification_number": { "identification_number": "987654321", "issuing_country": "US", "type": "EIN" }, "address": { "street_address": "101 Mission Street", "street_address2": "7th Floor", "city": "San Francisco", "postal_code": "94105", "state": "CA", "country": "US" }, "website": "https://www.jiko.com", "contact": { "name": { … }, "phone_number": "+15551234567", "email": "contact@jiko.com" }, "formation_date": "2017-01-04", "risk_info": { "risk_categories": [], "has_current_enforcement_actions": false, "business_activity_location": "PRIMARILY_US", "source_of_funds": "INTERNAL_FUNDS", "account_usage": "MONEY_STORAGE", "annual_revenue": "PRE_REVENUE", "monthly_transactions": "5_OR_LESS", "first_month_deposit": "1M_OR_LESS" }, "industry": { "industry": "ACCOUNTING_AND_BOOKKEEPING" }, "agreement_consent": { "version": "1", "timestamp": "2023-01-01T12:00:00Z" } }